Rasa x cannot start

Starting Rasa X in local mode… :rocket: 2021-07-12 14:46:53 WARNING rasax.community.services.insights.insight_service - No new evaluation results. 2021-07-12 14:46:55 ERROR concurrent.futures - exception calling callback for <Future at 0x1dcc7b78b20 state=finished raised gaierror> Traceback (most recent call last): File “c:\program files\python38\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\program files\python38\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\program files\python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\program files\python38\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\program files\python38\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\program files\python38\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-07-12 14:46:55 ERROR concurrent.futures - exception calling callback for <Future at 0x1dcc7b7b0a0 state=finished returned list> Traceback (most recent call last): File “c:\program files\python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\program files\python38\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\program files\python38\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\program files\python38\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\program files\python38\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\aiohttp\client.py”, line 619, in _request break File “C:\Users\Devashree\AppData\Roaming\Python\Python38\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Rasa Version : 2.7.1 Minimum Compatible Version: 2.6.0 Rasa SDK Version : 2.7.0 Rasa X Version : 0.41.1 Python Version : 3.8.0 Operating System : Windows-10-10.0.16299-SP0 Python Path : c:\program files\python38\python.exe

For more context, this was originally reported over here but I think it makes sense to have a new thread since the issue in the old one should’ve been fixed way back in March.

@SamS yes. I hope this issue gets solved soon. :slight_smile:

2 Likes

Facing the same issue!